## jxtray.connection
Class JxtConnection

    java.lang.Object
      jxtray.connection.JxtConnection

public class JxtConnection
extends java.lang.Object

Constructor Summary
`JxtConnection(JxtConnectionParam param, java.lang.String driverName)` Constructor

Method Summary
`void` `close()` Close connection
`void` `connect()` Establish connection with the server
`void` `finalize()` Memory Managnement
`java.lang.String[]` `getCatalogs()`
`java.sql.Connection` `getConnection()`
`java.lang.String` `getDriverName()`
`JxtConnectionParam` `getJxtConnectionParam()`
`java.sql.DatabaseMetaData` `getMetaData()`
`java.lang.String` `getName()` Return the connection name
`java.util.Properties` `getProperties()`
`java.lang.String[]` `getSchemas()`
`java.util.Vector` `getTables(java.lang.String catalog, java.lang.String schema)`
`boolean` `isConnected()` Return true if connection is active
`boolean` `isVisible()`
`java.sql.ResultSet` `select(java.lang.String query)` Execute the function executeQuery from Statement class
`void` `setConnection(java.sql.Connection connection)` Initialize Connection object
`void` `setDebug(boolean debug)`
`void` `setDriverName(java.lang.String driverName)`
`void` `setJxtConnectionParam(JxtConnectionParam jxtConnectionParam)`
`void` `setVisible(boolean visible)`
`void` `update(java.lang.String query)` Execute the function executeUpdate from Statement class

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxtConnection

    public JxtConnection(JxtConnectionParam param,
                         java.lang.String driverName)

  Constructor

Method Detail

### setDebug

    public void setDebug(boolean debug)

### close

    public void close()
               throws java.sql.SQLException

  Close connection

  Throws:
    `java.sql.SQLException`

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean visible)

### connect

    public void connect()
                 throws java.sql.SQLException,
                        java.lang.ClassNotFoundException

  Establish connection with the server

  Throws:
    `java.sql.SQLException`
    `java.lang.ClassNotFoundException`

### select

    public java.sql.ResultSet select(java.lang.String query)
                              throws java.sql.SQLException

  Execute the function executeQuery from Statement class

  Throws:
    `java.sql.SQLException`

### update

    public void update(java.lang.String query)
                throws java.sql.SQLException

  Execute the function executeUpdate from Statement class

  Throws:
    `java.sql.SQLException`

### isConnected

    public boolean isConnected()

  Return true if connection is active

  Returns:
    boolean

### getConnection

    public java.sql.Connection getConnection()

  Returns:
    java.sql.Connection

### setConnection

    public void setConnection(java.sql.Connection connection)

  Initialize Connection object

  Parameters:
    `connection` -

### finalize

    public void finalize()

  Memory Managnement

### getJxtConnectionParam

    public JxtConnectionParam getJxtConnectionParam()

  Returns:
    JxtConnectionParam

### setJxtConnectionParam

    public void setJxtConnectionParam(JxtConnectionParam jxtConnectionParam)

  Parameters:
    `jxtConnectionParam` -

### getName

    public java.lang.String getName()

  Return the connection name

  Returns:
    String

### getDriverName

    public java.lang.String getDriverName()

  Returns:
    String

### setDriverName

    public void setDriverName(java.lang.String driverName)

  Parameters:
    `driverName` -

### getProperties

    public java.util.Properties getProperties()
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCatalogs

    public java.lang.String[] getCatalogs()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSchemas

    public java.lang.String[] getSchemas()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTables

    public java.util.Vector getTables(java.lang.String catalog,
                                      java.lang.String schema)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`